#
# spec file for package perl-DateTime-Format-MySQL
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name DateTime-Format-MySQL
Name:           perl-DateTime-Format-MySQL
Version:        0.0800
Release:        1.6
%define cpan_version 0.08
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Parse and format MySQL dates and times
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/X/XM/XMIKEW/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::Builder) >= 0.6
BuildRequires:  perl(Module::Build) >= 0.42
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::Builder) >= 0.6
%{perl_requires}

%description
This module understands the formats used by MySQL for its DATE, DATETIME,
TIME, and TIMESTAMP data types. It can be used to parse these formats in
order to create DateTime objects, and it can take a DateTime object and
produce a string representing it in the MySQL format.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Wed Aug  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.08
  see /usr/share/doc/packages/perl-DateTime-Format-MySQL/Changes
  0.08    2023-07-31
  - Fix parsing microsecond < 100,000 off DateTime object by zero-padding
* Sun May 23 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.0701
  see /usr/share/doc/packages/perl-DateTime-Format-MySQL/Changes
  0.0701  2021-05-22
  - Fix versioning, reindex
  0.07    2021-05-21
  - if microseconds are set on provided DateTime object to time_format,
    use them. Fixes RT #136549
* Sat Feb 13 2016 coolo@suse.com
- updated to 0.06
  see /usr/share/doc/packages/perl-DateTime-Format-MySQL/Changes
  0.06    2016-02-12
  - Fixed typo in regex that strangely works most of the time
* Sun Dec 21 2014 lars@linux-schulserver.de
- update to 0.05
  + Added parsing of MySQL fractional seconds (microseconds).
  * Allowed additional valid MySQL formats (delimiters in DATE and TIME
    fields using punctuation, 'T' separator between DATE and TIME and
    single-digit time or date values).
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Thu Feb 17 2011 jw@novell.com
- recreated by cpanspec 1.78.03
- removed obsolete vendor patch (Makefile.PL)
  o using Build.PL
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun May  9 2010 lars@linux-schulserver.de
- initial version 0.04
